--- old/usr/src/uts/common/inet/sctp/sctp_tunables.c	sam. juil. 16 15:15:00 2016
+++ new/usr/src/uts/common/inet/sctp/sctp_tunables.c	sam. juil. 16 15:15:00 2016
@@ -189,157 +189,157 @@
 mod_prop_info_t sctp_propinfo_tbl[] = {
 	{ "_max_init_retr", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 128, 8}, {8} },
+	    {{0, 128, 8}}, {8} },
 
 	{ "_pa_max_retr", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 128, 10}, {10} },
+	    {{1, 128, 10}}, {10} },
 
 	{ "_pp_max_retr", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 128, 5}, {5} },
+	    {{1, 128, 5}}, {5} },
 
 	{ "_cwnd_max", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {128, ULP_MAX_BUF, 1024*1024}, {1024*1024} },
+	    {{128, ULP_MAX_BUF, 1024*1024}}, {1024*1024} },
 
 	{ "smallest_nonpriv_port", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1024, (32*1024), 1024}, {1024} },
+	    {{1024, (32*1024), 1024}}, {1024} },
 
 	{ "_ipv4_ttl", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 255, 64}, {64} },
+	    {{1, 255, 64}}, {64} },
 
 	{ "_heartbeat_interval", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 1*DAYS, 30*SECONDS}, {30*SECONDS} },
+	    {{0, 1*DAYS, 30*SECONDS}}, {30*SECONDS} },
 
 	{ "_initial_mtu", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {68, 65535, 1500}, {1500} },
+	    {{68, 65535, 1500}}, {1500} },
 
 	{ "_mtu_probe_interval", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 1*DAYS, 10*MINUTES}, {10*MINUTES} },
+	    {{0, 1*DAYS, 10*MINUTES}}, {10*MINUTES} },
 
 	{ "_new_secret_interval", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 1*DAYS, 2*MINUTES}, {2*MINUTES} },
+	    {{0, 1*DAYS, 2*MINUTES}}, {2*MINUTES} },
 
 	/* tunable - 10 */
 	{ "_deferred_ack_interval", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {10*MS, 1*MINUTES, 100*MS}, {100*MS} },
+	    {{10*MS, 1*MINUTES, 100*MS}}, {100*MS} },
 
 	{ "_snd_lowat_fraction", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 16, 0}, {0} },
+	    {{0, 16, 0}}, {0} },
 
 	{ "_ignore_path_mtu", MOD_PROTO_SCTP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_initial_ssthresh", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1024, UINT32_MAX, SCTP_RECV_HIWATER}, { SCTP_RECV_HIWATER} },
+	    {{1024, UINT32_MAX, SCTP_RECV_HIWATER}}, { SCTP_RECV_HIWATER} },
 
 	{ "smallest_anon_port", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1024, ULP_MAX_PORT, 32*1024}, {32*1024} },
+	    {{1024, ULP_MAX_PORT, 32*1024}}, {32*1024} },
 
 	{ "largest_anon_port", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1024, ULP_MAX_PORT, ULP_MAX_PORT}, {ULP_MAX_PORT} },
+	    {{1024, ULP_MAX_PORT, ULP_MAX_PORT}}, {ULP_MAX_PORT} },
 
 	{ "send_buf", MOD_PROTO_SCTP,
 	    sctp_set_buf_prop, sctp_get_buf_prop,
-	    {SCTP_XMIT_LOWATER,  ULP_MAX_BUF,  SCTP_XMIT_HIWATER},
+	    {{SCTP_XMIT_LOWATER,  ULP_MAX_BUF,  SCTP_XMIT_HIWATER}},
 	    {SCTP_XMIT_HIWATER} },
 
 	{ "_xmit_lowat", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {SCTP_XMIT_LOWATER,  ULP_MAX_BUF,  SCTP_XMIT_LOWATER},
+	    {{SCTP_XMIT_LOWATER,  ULP_MAX_BUF,  SCTP_XMIT_LOWATER}},
 	    {SCTP_XMIT_LOWATER} },
 
 	{ "recv_buf", MOD_PROTO_SCTP,
 	    sctp_set_buf_prop, sctp_get_buf_prop,
-	    {SCTP_RECV_LOWATER,  ULP_MAX_BUF,  SCTP_RECV_HIWATER},
+	    {{SCTP_RECV_LOWATER,  ULP_MAX_BUF,  SCTP_RECV_HIWATER}},
 	    {SCTP_RECV_HIWATER} },
 
 	{ "max_buf", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {8192, ULP_MAX_BUF, 1024*1024}, {1024*1024} },
+	    {{8192, ULP_MAX_BUF, 1024*1024}}, {1024*1024} },
 
 	/* tunable - 20 */
 	{ "_rtt_updates", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 65536, 20}, {20} },
+	    {{0, 65536, 20}}, {20} },
 
 	{ "_ipv6_hoplimit", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS}, {IPV6_DEFAULT_HOPS} },
+	    {{0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS}}, {IPV6_DEFAULT_HOPS} },
 
 	{ "_rto_min", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {500*MS, 60*SECONDS, 1*SECONDS}, {1*SECONDS} },
+	    {{500*MS, 60*SECONDS, 1*SECONDS}}, {1*SECONDS} },
 
 	{ "_rto_max", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, 60000*SECONDS, 60*SECONDS}, {60*SECONDS} },
+	    {{1*SECONDS, 60000*SECONDS, 60*SECONDS}}, {60*SECONDS} },
 
 	{ "_rto_initial", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1*SECONDS, 60000*SECONDS, 3*SECONDS}, {3*SECONDS} },
+	    {{1*SECONDS, 60000*SECONDS, 3*SECONDS}}, {3*SECONDS} },
 
 	{ "_cookie_life", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {10*MS, 60000*SECONDS, 60*SECONDS}, {60*SECONDS} },
+	    {{10*MS, 60000*SECONDS, 60*SECONDS}}, {60*SECONDS} },
 
 	{ "_max_in_streams", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, UINT16_MAX, 32}, {32} },
+	    {{1, UINT16_MAX, 32}}, {32} },
 
 	{ "_initial_out_streams", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, UINT16_MAX, 32}, {32} },
+	    {{1, UINT16_MAX, 32}}, {32} },
 
 	{ "_shutack_wait_bound", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 300*SECONDS, 60*SECONDS}, {60*SECONDS} },
+	    {{0, 300*SECONDS, 60*SECONDS}}, {60*SECONDS} },
 
 	{ "_maxburst", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {2, 8, 4}, {4} },
+	    {{2, 8, 4}}, {4} },
 
 	/* tunable - 30 */
 	{ "_addip_enabled", MOD_PROTO_SCTP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_recv_hiwat_minmss", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 65536, 4}, {4} },
+	    {{1, 65536, 4}}, {4} },
 
 	{ "_slow_start_initial", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 16, 4}, {4} },
+	    {{1, 16, 4}}, {4} },
 
 	{ "_slow_start_after_idle", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 16384, 4}, {4} },
+	    {{1, 16384, 4}}, {4} },
 
 	{ "_prsctp_enabled", MOD_PROTO_SCTP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_TRUE}, {B_TRUE} },
+	    {.mpi_bval = B_TRUE}, {B_TRUE} },
 
 	{ "_fast_rxt_thresh", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 10000, 3}, {3} },
+	    {{1, 10000, 3}}, {3} },
 
 	{ "_deferred_acks_max", MOD_PROTO_SCTP,
 	    mod_set_uint32, mod_get_uint32,
-	    { 1, 16, 2}, {2} },
+	    {{ 1, 16, 2}}, {2} },
 
 	/*
 	 * sctp_wroff_xtra is the extra space in front of SCTP/IP header
@@ -347,24 +347,24 @@
 	 */
 	{ "_wroff_xtra", MOD_PROTO_SCTP,
 	    mod_set_aligned, mod_get_uint32,
-	    {0, 256, 32}, {32} },
+	    {{0, 256, 32}}, {32} },
 
 	{ "extra_priv_ports", MOD_PROTO_SCTP,
 	    mod_set_extra_privports, mod_get_extra_privports,
-	    {1, ULP_MAX_PORT, 0}, {0} },
+	    {{1, ULP_MAX_PORT, 0}}, {0} },
 
 	{ "_listener_limit_conf", MOD_PROTO_SCTP,
-	    NULL, sctp_listener_conf_get, {0}, {0} },
+	    NULL, sctp_listener_conf_get, {{0,0,0}}, {0} },
 
 	{ "_listener_limit_conf_add", MOD_PROTO_SCTP,
-	    sctp_listener_conf_add, NULL, {0}, {0} },
+	    sctp_listener_conf_add, NULL, {{0,0,0}}, {0} },
 
 	{ "_listener_limit_conf_del", MOD_PROTO_SCTP,
-	    sctp_listener_conf_del, NULL, {0}, {0} },
+	    sctp_listener_conf_del, NULL, {{0,0,0}}, {0} },
 
-	{ "?", MOD_PROTO_SCTP, NULL, mod_get_allprop, {0}, {0} },
+	{ "?", MOD_PROTO_SCTP, NULL, mod_get_allprop, {{0,0,0}}, {0} },
 
-	{ NULL, 0, NULL, NULL, {0}, {0} }
+	{ NULL, 0, NULL, NULL, {{0,0,0}}, {0} }
 };
 
 int sctp_propinfo_count = A_CNT(sctp_propinfo_tbl);
